<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="11dp"
        android:layout_marginTop="21dp"
        android:layout_marginEnd="11dp"
        android:layout_marginBottom="9dp"
        android:background="@color/black"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_weight="1"
            android:orientation="horizontal">
            <TextView
                android:id="@+id/text1"
                android:layout_width="38dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:paddingStart="5dp"
                android:paddingEnd="5dp"
                android:background="@drawable/view_shape_input"
                android:gravity="center"
                android:maxLines="1"
                android:ellipsize="middle"
                android:textColor="@color/white"
                android:textFontWeight="600"
                android:textSize="24sp"
                />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/mLine1Layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button1"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="1"
                android:text="1"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button2"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="2"
                android:text="2"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button3"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="3"
                android:text="3"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button4"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="4"
                android:text="4"
                android:textColor="#FBD460"
                android:textSize="24sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/mLine2Layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:layout_weight="1"
            android:orientation="horizontal">

            <Button
                android:id="@+id/button5"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="5"
                android:text="5"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button6"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="6"
                android:text="6"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button7"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="7"
                android:text="7"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button8"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="8"
                android:text="8"
                android:textColor="#FBD460"
                android:textSize="24sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/mLine3Layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="2dp"
            android:layout_weight="1"
            android:orientation="horizontal">

            <ImageButton
                android:id="@+id/buttonBack"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:src="@drawable/pin_delete"
                android:tag="100" />

            <Button
                android:id="@+id/button9"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="9"
                android:text="9"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <Button
                android:id="@+id/button0"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="2dp"
                android:layout_weight="1"
                android:background="@drawable/pwd_bg"
                android:fontFamily="sans-serif-light"
                android:tag="0"
                android:text="0"
                android:textColor="#FBD460"
                android:textSize="24sp" />

            <ImageButton
                android:id="@+id/buttonOK"
                android:layout_width="38dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:layout_marginStart="2dp"
                android:background="@drawable/pwd_bg"
                android:src="@drawable/pin_ok"
                android:tag="101" />
        </LinearLayout>

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/lockLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/black"
        android:visibility="invisible"
        >
        <TextView
            android:id="@+id/mErrorTitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="35dp"
            android:textColor="@color/white"
            android:textSize="15sp"
            android:textFontWeight="700"
            android:gravity="center"
            android:text="@string/bd_3_title"
            />
        <TextView
            android:id="@+id/mErrorContent"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/mErrorTitle"
            android:layout_marginTop="15dp"
            android:layout_marginStart="7dp"
            android:layout_marginEnd="7dp"
            android:textColor="@color/white"
            android:textSize="11sp"
            android:textFontWeight="400"
            android:gravity="center"
            android:text="@string/bd_3_content"
            />
        <Button
            android:id="@+id/mErrorBtn"
            style="@style/xp_style_button_all"
            android:layout_width="match_parent"
            android:layout_height="28dp"
            android:layout_marginStart="15dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="15dp"
            android:layout_alignParentBottom="true"
            android:backgroundTint="@color/xp_green"
            android:text="@string/ok"
            android:textFontWeight="700"
            android:textSize="12sp" />
    </RelativeLayout>

</RelativeLayout>
